---
title: 更新 API 密钥
url: https://runapi.ai/zh-CN/docs/api/management/keys/update.md
canonical: https://runapi.ai/zh-CN/docs/api/management/keys/update
locale: zh-CN
---

# 更新 API 密钥

更新现有 Standard API 密钥，并获取其当前用量汇总。

## 端点

PATCH /api/v1/keys/:id

基础 URL: https://runapi.ai

API 版本: v1

身份验证: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


授权: 需要账户管理员的 Management API 密钥，并且只允许更新其用户拥有的密钥。

## 请求

只能在列出的请求位置发送值。

### JSON 请求体

```json
{
  "allowed_models": {
    "description": "Replacement model allowlist; null or an empty array clears it.",
    "required": false,
    "type": "array | null"
  },
  "credit_limit_cents": {
    "description": "Spending cap in USD cents; null clears the cap and reset interval.",
    "required": false,
    "type": "integer | null"
  },
  "credit_limit_reset_interval": {
    "description": "Reset cadence for the spending cap.",
    "enum": [
      "daily",
      "weekly",
      "monthly"
    ],
    "required": false,
    "type": "string | null"
  },
  "enabled": {
    "description": "Whether requests using this key are accepted.",
    "required": false,
    "type": "boolean"
  },
  "name": {
    "description": "Replacement friendly name for the API key.",
    "required": false,
    "type": "string"
  }
}
```

### 路径参数

```json
{
  "id": {
    "description": "API key prefix ID, for example token_123.",
    "required": true,
    "type": "string"
  }
}
```

## 成功响应

HTTP 200 - PATCH /api/v1/keys/:id

```json
{
  "allowed_models": [
    "gpt-5.4"
  ],
  "created_at": "2026-07-27T10:00:00.000Z",
  "credit_limit_cents": 1000,
  "credit_limit_reset_interval": "daily",
  "credit_usage_cents_by_model": {
    "gpt-5.4": 250
  },
  "credit_usage_cents_this_month": 250,
  "credit_usage_cents_this_week": 100,
  "credit_usage_cents_today": 25,
  "credit_usage_cents_total": 250,
  "enabled": true,
  "guardrail_id": "guardrail_123",
  "id": "token_123",
  "last_used_at": null,
  "masked_token": "runapi_abc...wxyz",
  "name": "Production primary"
}
```

## 错误响应 (401)

HTTP 401

```json
{
  "error": "Authentication required"
}
```

## 错误响应 (403)

HTTP 403

```json
{
  "error": "Management API key required"
}
```

## 错误响应 (403)

HTTP 403

```json
{
  "error": "Account admin required"
}
```

## 错误响应 (400)

HTTP 400

```json
{
  "error": "page must be an integer"
}
```

## 错误响应 (404)

HTTP 404

```json
{
  "error": "Resource not found"
}
```

## 错误响应 (422)

HTTP 422

```json
{
  "errors": {
    "base": [
      "Validation failed"
    ]
  }
}
```

## cURL 示例



### curl

```curl
curl -X PATCH https://runapi.ai/api/v1/keys/token_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"name":"Production primary","enabled":true}'
```

## 相关参考

- [API 密钥](/docs/api/management/keys)
- [API 密钥对象](/docs/api/management/keys/object)
